GET api/departmentapi/departmentsbycontract/{contractId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| contractId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of DepartmentViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| delay_between_scans | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| name | string |
None. |
|
| remark | string |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"code": 2,
"contract_id": "2d103a12-20fd-49bb-aedb-2f26ea1564d2",
"delay_between_scans": 1,
"id": "c72db1e9-fe86-46dd-a38b-400aea87b424",
"item_wash_max": 1,
"name": "sample string 5",
"remark": "sample string 6",
"selected_nameplate_id": "383b53cf-5d89-4d5b-9e7f-a35fdf8f8ef7",
"selected_sticker_id": "d9e2599a-c701-4d5c-ae21-256f9d6f6055"
},
{
"active": true,
"code": 2,
"contract_id": "2d103a12-20fd-49bb-aedb-2f26ea1564d2",
"delay_between_scans": 1,
"id": "c72db1e9-fe86-46dd-a38b-400aea87b424",
"item_wash_max": 1,
"name": "sample string 5",
"remark": "sample string 6",
"selected_nameplate_id": "383b53cf-5d89-4d5b-9e7f-a35fdf8f8ef7",
"selected_sticker_id": "d9e2599a-c701-4d5c-ae21-256f9d6f6055"
}
]
application/xml, text/xml
Sample:
<ArrayOfdepartment xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<department>
<active>true</active>
<code>2</code>
<contract_id>2d103a12-20fd-49bb-aedb-2f26ea1564d2</contract_id>
<delay_between_scans>1</delay_between_scans>
<id>c72db1e9-fe86-46dd-a38b-400aea87b424</id>
<item_wash_max>1</item_wash_max>
<name>sample string 5</name>
<remark>sample string 6</remark>
<selected_nameplate_id>383b53cf-5d89-4d5b-9e7f-a35fdf8f8ef7</selected_nameplate_id>
<selected_sticker_id>d9e2599a-c701-4d5c-ae21-256f9d6f6055</selected_sticker_id>
</department>
<department>
<active>true</active>
<code>2</code>
<contract_id>2d103a12-20fd-49bb-aedb-2f26ea1564d2</contract_id>
<delay_between_scans>1</delay_between_scans>
<id>c72db1e9-fe86-46dd-a38b-400aea87b424</id>
<item_wash_max>1</item_wash_max>
<name>sample string 5</name>
<remark>sample string 6</remark>
<selected_nameplate_id>383b53cf-5d89-4d5b-9e7f-a35fdf8f8ef7</selected_nameplate_id>
<selected_sticker_id>d9e2599a-c701-4d5c-ae21-256f9d6f6055</selected_sticker_id>
</department>
</ArrayOfdepartment>